<article *ngIf="serviceAsync | async; let service; else loading">

  <div class="row justify-content-md-center">
    <div class="col-lg-8">
      <div class="row mt-5 ">
        <div class="col-md-3">
          <div class="img-frame">
            <img class="img-fluid" [src]="service.imageUrl" alt="Service icon" [src-fallback]="placeholder">
          </div>
        </div>
        <div class="service-meta col-md-8 align-self-center">

          <div class="tags">
            <span *ngFor="let tag of service.tags;  let i=index">
              <span class="tag badge badge-pill" *ngIf="i<tagOverflow">{{tag}}</span>
            </span>

            <span *ngIf="service.tags.length > tagOverflow ">
              <a class="tag-overflow" (click)="isTagPanelCollapsed = !isTagPanelCollapsed" [attr.aria-expanded]="!isTagPanelCollapsed"
                aria-controls="collapseTagPanel">Se alla taggar ({{service.tags.length}} st) <i class="fas fa-chevron-down"></i></a>
              <div id="collapseTagPanel" [ngbCollapse]="isTagPanelCollapsed">
                <div class="card card-tags">
                  <div class="card-body">
                    <span *ngFor="let tag of service.tags;  let i=index">
                      <span class="tag badge badge-pill" *ngIf="i>=tagOverflow">{{tag}}</span>
                    </span>
                  </div>
                </div>
              </div>
            </span>
          </div>

          <h1 class="title">{{service.title}}</h1>
          <!-- <div class="category">- {{ categoriesStr }}</div> -->
          <div *ngIf="keycloakService.isInRoleAdmin()">
            <button class="edit btn btn-secondary" (click)="gotoEdit(service.identifier)">Edit</button>
          </div>
        </div>
      </div>


      <div class="row description-content">
        <div class="col-12">
          <h2>Beskrivning</h2>
        </div>
        <div class="col-12 description" [ngClass]="descColums(service.description)">
          <p class="description-text">
            {{service.description}}
        </div>
      </div>

      <div class="row link-row justify-content-end">
        <div class="col-md-3">
          <a target="_blank" [href]="service.link" class="btn homepage" angulartics2On="click" angularticsAction="Klickat på Gå till tjänsten"
            [angularticsProperties]="{'event': 'goToService', 'gtmCustom': {
             'service.identifier': service.identifier,
             'service.title': service.title,
             'service.link': service.link}}">Gå
            till tjänsten</a>
        </div>
      </div>

      <div class="hruler"></div>
      
      <div class="row mb-4" *ngIf="service.youtube != null">
        <div class="col d-flex justify-content-center">
          <div class="info-video">
            <iframe
              width="660"
              height="415"
              [src]="transform(service.youtube)"
              frameborder="0"
              allow="autoplay; encrypted-media; picture-in-picture"
              allowfullscreen>
            </iframe>
          </div>
        </div>
      </div>
  
      <div class="company">
        <div class="row">
          <div class="col-12">
            <h4 class="company-title">Företagsinfo</h4>
          </div>
          <div class="col-sm-2 company-header">
            <p>Namn:</p>
          </div>
          <div class="col-sm-10 company-info"><b>{{service.organisation.name}}</b></div>
        </div>
      </div>

      <div class="other" *ngIf="others.length > 0">
        <h2>Andra tjänster från {{service.organisation.name}}</h2>

        <div *ngIf="!showAllOther">

          <div class="d-flex flex-row justify-content-around">
            <div *ngFor="let other of others; let i=index">
              <article class="card card-other" *ngIf="i < 3">
                <a [routerLink]="['/service', other.identifier]" target="_blank" class="other-link"  (click)="onServiceClick(service, i)">
                  <div class="row row-other-title">
                    <div class="col-4 other-img">
                      <img class="w-100" [src]="other.imageUrl" [alt]="'Bild för '+other.title" [src-fallback]="placeholder">
                    </div>
                    <h4 class="col-8 result-title">{{other.title}}</h4>
                  </div>
                  <div class="row row-other-description">
                    <div class="col-12">{{other.shortDescription || '' | truncate : 120}}</div>
                  </div>
                </a>
              </article>
            </div>
          </div>
          <div (click)="showAllOther=true" class="alla-tjnster">Visa alla andra tjänster
            ({{service.organisation.services.length}} st) > </div>
        </div>

        <div class="d-flex flex-row justify-content-around flex-wrap" *ngIf="showAllOther">
          <article class="card card-other" *ngFor="let other of others; let i=index">
            <a [routerLink]="['/service', other.identifier]" target="_blank" class="other-link" (click)="onServiceClick(service, i)">
              <div class="row row-other-title">
                <div class="col-4 other-img">
                  <img class="w-100" [src]="other.imageUrl" [alt]="'Bild för '+other.title" [src-fallback]="placeholder">
                </div>
                <h4 class="col-8 result-title">{{other.title}}</h4>
              </div>
              <div class="row row-other-description">
                <div class="col-12">{{other.shortDescription || '' | truncate : 120}}</div>
              </div>
            </a>
          </article>
        </div>
      </div>

      <div class="hruler"></div>

      <div class="pt-5"></div>
    </div>
  </div>

</article>


<ng-template #loading>Laddar ...</ng-template>
